package w83b.w83bManager;


public interface W83bIConvenios {
	public java.util.List buscarConvenios(w83b.w83bBeans.W83bConveniosBean param) throws Exception;
	
	public java.lang.String anyadirConvenios(w83b.w83bBeans.W83bConveniosBean param) throws Exception;
	
	public java.lang.String modificarConvenios(w83b.w83bBeans.W83bConveniosBean param) throws Exception;
	
	public w83b.w83bBeans.W83bConveniosBean detalleConvenios(w83b.w83bBeans.W83bConveniosBean param) throws  java.lang.Exception, java.rmi.RemoteException;
	
	public java.lang.String borrarConvenios(java.util.ArrayList param) throws  java.lang.Exception, java.rmi.RemoteException;
	
	public java.lang.String comprobarAsociacionTablas(java.util.ArrayList param)throws Exception;
	
	public java.lang.String comprobarAsociacionConveniosAgrupaciones(java.util.ArrayList param) throws  java.lang.Exception, java.rmi.RemoteException;
	
	public java.lang.String asociarConvenios(java.util.ArrayList param) throws  java.lang.Exception, java.rmi.RemoteException;
}
